Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
rb_vm_tag Struct Reference

`#include <vm_core.h>`

## Data Fields
VALUE | tag
VALUE | retval
rb_jmpbuf_t | buf
struct rb_vm_tag * | prev
enum ruby_tag_type | state

## Detailed Description

Definition at line 799 of file vm_core.h.

## Field Documentation

## ◆ buf

rb_jmpbuf_t rb_vm_tag::buf

Definition at line 802 of file vm_core.h.

## ◆ prev

struct rb_vm_tag * rb_vm_tag::prev

Definition at line 803 of file vm_core.h.

Referenced by rb_throw_obj().

## ◆ retval

VALUE rb_vm_tag::retval

Definition at line 801 of file vm_core.h.

Referenced by rb_throw_obj().

## ◆ state

enum ruby_tag_type rb_vm_tag::state

Definition at line 804 of file vm_core.h.

Referenced by rb_catch_obj().

## ◆ tag

VALUE rb_vm_tag::tag

Definition at line 800 of file vm_core.h.

Referenced by rb_catch(), rb_throw(), and rb_throw_obj().

The documentation for this struct was generated from the following files:

- vm_core.h
- /msysdev/ruby/src/build-x86_64-pc-msys/include/ruby-2.7.0/x86_64-msys/rb_mjit_min_header-2.7.0.h